Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Types | Public Member Functions | Protected Attributes | Friends | List of all members
Version Struct Reference

A three levels version string class. More...

`#include <version.h>`

Inheritance diagram for Version:

## Public Types

typedef unsigned int | ver_type

## Public Member Functions

| Version (const std::string &)
| Version (ver_type, ver_type, ver_type build=0)
void | maj (ver_type)
void | min (ver_type)
void | build (ver_type)
ver_type | maj () const
ver_type | min () const
ver_type | build () const
void | set (ver_type, ver_type, ver_type build=0)
void | set (const std::string &)
std::string | str () const
bool | operator== (const Version &) const
bool | operator!= (const Version &) const
bool | operator< (const Version &) const
bool | operator> (const Version &) const
bool | operator<= (const Version &) const
bool | operator>= (const Version &) const

## Protected Attributes

ver_type | m_maj
ver_type | m_min
ver_type | m_build

## Friends

std::ostream & | operator<< (std::ostream &, const Version &)

## Detailed Description

A three levels version string class.

format: maj.min[.build] \d+.\d+(.\d+)? es. 1.1, 1.23.5, 1.2.3, 1.2.3, 1.11 22.1.3, 0.1.234

The documentation for this struct was generated from the following file:

- version.h